解决Ubuntu升级遇到的问题

4/27/2016 Ubuntu

@date 2017.11.10 备份配置文

# zshrc

...
# Path to my android
  export ANDROID_HOME=/server/software/SDK
  export PATH=${PATH}:$ANDROID_HOME
  export PATH=${PATH}:${ANDROID_HOME}/tools
  export PATH=${PATH}:${ANDROID_HOME}/platform-tools
  export JADX_HOME=/home/mrtan/tools/jadx-0.6.1
  export PATH=${PATH}:${JADX_HOME}/bin
  export DEX2JAR_HOME=/home/mrtan/tools/dex2jar-2.0
  export PATH=$PATH:${DEX2JAR_HOME}/
  export APKTOOL_HOME=/home/mrtan/tools/apktool-2.2.2
  export PATH=$PATH:${APKTOOL_HOME}/
  export REPO_URL='https://mirrors.tuna.tsinghua.edu.cn/git/git-repo/'
  export SWIFT_HOME=/home/mrtan/swift4.0
  export PATH=${PATH}:${SWIFT_HOME}/usr/bin
  export GRADLE_HOME=/server/software/gradle-4.3.1
  ## 配置gradle仓库路径,如果不配置默认为home/.gradle
  export GRADLE_USER_HOME=/server/repository/gradle
  export PATH=${PATH}:${GRADLE_HOME}/bin
...
plugins=(git adb docker python ubuntu)
source $ZSH/oh-my-zsh.sh
...

# vimrc

set number

# 2017.10.28

升级17.10了哦

# 安装wps遇到问题

首先贴上wps的最新下载地址 (opens new window),不要去百度!百度不是最新的

# 缺少libpnd12库
Selecting previously unselected package wps-office.
(Reading database ... 168278 files and directories currently installed.)
Preparing to unpack wps-office_10.1.0.5672_a21_amd64.deb ...
Unpacking wps-office (10.1.0.5672~a21) ...
dpkg: dependency problems prevent configuration of wps-office:
 wps-office depends on libpng12-0; however:
  Package libpng12-0 is not installed.

dpkg: error processing package wps-office (--install):
 dependency problems - leaving unconfigured
Processing triggers for bamfdaemon (0.5.3+17.10.20170810-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu5) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for shared-mime-info (1.8-1) ...
Processing triggers for hicolor-icon-theme (0.17-1) ...
Errors were encountered while processing:
 wps-office

下载地址 (opens new window)安装上就好了 另外还有缺少的字体的下载地址 (opens new window)

# 不喜欢Gnome

ubuntu 默认使用Gnome做为桌面,修改为unity,登录的时候选择unity,还有把关闭,最小化按钮放在了右面,(对不起我已经习惯在左面了!我要改) 修改到左面:

gsettings set org.gnome.desktop.wm.preferences button-layout 'close,maximize,minimize:'

修改回右面

gsettings set org.gnome.desktop.wm.preferences button-layout ':close,maximize,minimize'

升级ubuntu16.04 LTS版本,遇到的问题,将解决问题的步骤记录下来:

# 问题一

ubuntu system program problem detected: 6597796543842328001.jpg

  • 查看程序奔溃日志

Screenshot from 2016-04-26 15-30-10.png

ProblemType: Package
DKMSBuildLog:
DKMS make.log for fglrx-updates-core-15.201 for kernel 4.4.0-21-generic (x86_64)
 2016年 04月 26日 星期二 13:30:45 CST
 /usr/sbin/dkms: line 74: cd: /var/lib/dkms/fglrx/15.201/build: No such file or directory
 AMD kernel module generator version 2.1
 doing Makefile based build for kernel 2.6.x and higher
 rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
 make -C /lib/modules/4.4.0-21-generic/build SUBDIRS=/var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x modules
 make[1]: Entering directory '/usr/src/linux-headers-4.4.0-21-generic'
   CC [M]  /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.o
 /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c: In function ‘firegl_major_proc_read’:
 /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c:639:9: error: void value not ignored as it ought to be
  len = seq_printf(m, "%d\n", major);
      ^
 /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c: In function ‘KCL_fpu_save_init’:
 /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c:6508:49: error: ‘XSTATE_FP’ undeclared (first use in this function)
    if (!(fpu->state.xsave.header.xfeatures & XSTATE_FP))
                                              ^
 /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c:6508:49: note: each undeclared identifier is reported only once for each function it appears in
 /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c: At top level:
 /var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c:6498:12: warning: ‘KCL_fpu_save_init’ defined but not used [-Wunused-function]
  static int KCL_fpu_save_init(struct task_struct *tsk)
         ^
 scripts/Makefile.build:258: recipe for target '/var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.o' failed
 make[2]: *** [/var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.o] Error 1
 Makefile:1396: recipe for target '_module_/var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x' failed
 make[1]: *** [_module_/var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x] Error 2
 make[1]: Leaving directory '/usr/src/linux-headers-4.4.0-21-generic'
 Makefile:88: recipe for target 'kmod_build' failed
 make: *** [kmod_build] Error 2
 build failed with return value 2
DKMSKernelVersion: 4.4.0-21-generic
Date: Tue Apr 26 13:30:51 2016
DuplicateSignature: dkms:fglrx-updates-core:2:15.201-    0ubuntu2~15.10.2:/var/lib/dkms/fglrx-updates-core/15.201/build/2.6.x/firegl_public.c:639:9: error: void value not ignored as it ought to be
Package: fglrx-updates-core 2:15.201-0ubuntu2~15.10.2
PackageVersion: 2:15.201-0ubuntu2~15.10.2
SourcePackage: fglrx-installer-updates
Title: fglrx-updates-core 2:15.201-0ubuntu2~15.10.2: fglrx-updates-core kernel module failed to build

通过分析 知道是因为ubuntu 16.04开始不支持amd闭源驱动,但是不知道为什么升级的时候没有把包删除干净。

  • 解决办法 查看相关的包文件 dpkg -l | grep gflrx 发现有两个包还没有删除:fglrx-updates-core 和 fglrx-updates 删除即可 sudo dpkg --purge fglrx-updates-core fglrx-updates

# 问题二

解决中文字体发虚问题

以前的解决方案:

  • 删除字体 sudo apt-get purge font-ar 开头的字体全部删除 但是不知道这次为什么没有解决 现在的解决的方案:
  • 安装微软字体 面向Ubuntu的微软雅黑字体V6.0(msyh.ttf),LinuxIDC.com提供本地下载,说笑话,怎么会有Ubuntu下的微软雅黑字体呢?没有,目前真的没有,微软也不会这么好心,那么怎么说是面向Ubuntu的微软雅黑字体V6.0 msyh.ttf本地下载,因为这款字体我将把它拿来在Ubuntu 9.10下使用,如果侵犯版权,请微软来函通知即删。 把微软雅黑字体V6.0 msyh.ttf下载设置成需要注册会员下载试试,看有多少朋友需要。 面向Ubuntu的微软雅黑字体V6.0 msyh.ttf本地下载地址: 免费下载地址在 http://linux.linuxidc.com/ (opens new window) 用户名与密码都是www.linuxidc.com (opens new window) 具体下载目录在 /pub/2009/11/12/面向Ubuntu的微软雅黑字体V6.0 msyh.ttf本地下载/

问题是解决了 但是看习惯了圆圆的字体再看雅黑还是别扭,于是修改了一下字体大小,中文繁体会发虚,目前先这样吧

# 问题三

  • 应用不能输入中文 解决办法: 重装搜狗输入法(折腾了好长时间,最后还是重装解决了)

# 问题四

网络打印机(惠普的)不能用,可以配置上,但是不能打印(这应该不算是重装的问题,之前就有) 安装惠普打印驱动 到惠普官网查找linux驱动 hplip-3.16.3.run,修改权限,运行 重启。结果还是有问题 ,幸好驱动程序提示安装插件 于是下载hplip-3.16.3-plugin.run 这次不是手动安装的,是通过驱动程序安装的。解决问题

# 问题五(2016.4.28 更新)

系统每次开机都会有1分30秒的等待时间, 按f12 显示 A start job is running for dev-disk-by/x2uuid-7ea*********.device(**/1min30s ) google 问题发现是磁盘交换分区的问题, 首先查看磁盘挂载列表

mrtan@mrtan:~$ cat /etc/fstab

# Use 'blkid' to print the universally unique identifier for a
# device; this may be used with UUID= as a more robust way to name devices
# that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
# / was on /dev/sdb1 during installation
UUID=c1cde614-8bc5-418d-b139-4ca7aa3ab2e1 /               ext4    errors=remount-ro 0       1
# swap was on /dev/sda2 during installation
UUID=7ae87bd9-c01a-49f4-8324-dfee69416d35 none            swap    sw              0       0
# swap was on /dev/sdb5 during installation
UUID=65990696-e85b-46b6-a90d-41726b0bb98b none            swap    sw              0       0
#/server on /dev/sd4 
UUID=daad101f-a97c-4ffb-ac51-26b0b8414a63 /server	  ext4    defaults        0       2

发现存在两个交换分区,而且其中一个uuid就是开机耽误时间的那个。
查看所有的磁盘uuid

mrtan@mrtan:~$ sudo blkid

/dev/sda1: UUID="5156b171-5f73-4dcc-b5dd-b721a5a04bd3" TYPE="ext4" PARTUUID="abdd42ba-5100-49ea-9a0a-703d927f7a26"
/dev/sda4: UUID="daad101f-a97c-4ffb-ac51-26b0b8414a63" TYPE="ext4" PARTUUID="e6441575-b44e-4027-a84e-12102be0cc14"
/dev/sdb1: UUID="c1cde614-8bc5-418d-b139-4ca7aa3ab2e1" TYPE="ext4" PARTUUID="c77d2ef7-01"
/dev/sdb5: UUID="65990696-e85b-46b6-a90d-41726b0bb98b" TYPE="swap" PARTUUID="c77d2ef7-05"
/dev/sdc1: UUID="2016-04-20-22-29-52-00" LABEL="Ubuntu 16.04 LTS amd64" TYPE="iso9660" PTUUID="0e0e8e70" PTTYPE="dos" PARTUUID="0e0e8e70-01"
/dev/sdc2: SEC_TYPE="msdos" UUID="B1F5-0A13" TYPE="vfat" PARTUUID="0e0e8e70-02"

发现并没有开机检查的那个磁盘的uuid,于是

mrtan@mrtan:~$ sudo vim /etc/fstab

注释掉那个多余的交换分区,重启系统

mrtan@mrtan:~$ sudo rebot

解决问题


新系统全是坑,下次肯定不会第一时间尝试了。amd的集显驱动还没解决,坐等官方更新,没有驱动感觉程序比以前运反应慢。eclipse 简直不能用(虽然已经准备抛弃了)


# #2016.11.20

好吧,我又一次的重装了系统,在补充一些内容,上次还说不会在尝试新系统了,这次又不自觉的安装了Ubuntu16.10.[流汗]

# 问题1

  • 安装wps但是启动失败
    原因:缺少依赖库 解决办法: sudo apt -f install
  • 缺少字体库 http://www.bkjia.com/xtzh/985497.html

###问题2 sublime text3 不能输入中文 解决办法:http://blog.csdn.net/cywosp/article/details/32350899

# 问题3

创建AndroidStudio的快捷键 anddroidstudio.desktop

  [Desktop Entry]
  Encoding=UTF-8
  Version=1.0
  Type=Application
  Name=AndroidStudio
  Icon=/home/mrtan/Documents/android-studio/bin/studio.png
  Exec=/home/mrtan/Documents/android-studio/bin/studio.sh
  StartupNotify=true
  OnlyShowIn=Unity;
  X-UnityGenerated=true

添加可执行权限


# #2017.1.7

是的 我又做系统了 因为Ubuntu 16.10 不能安装steam玩饥荒,也安装不了 amdgpu-pro 驱动,虽然Ubuntu 16.04也装不了(因为我的用的是集显,驱动不支持)。。但是可以安装steam。

# 安装flat theme

地址在这里 (opens new window)

# 安装 zsh

是因为flat theme 的terminal 就是这个而且 很很漂亮!!!(他的osh配置 (opens new window)

Last Updated: 2/4/2021, 5:16:08 PM